Entitle Organizations For Isolation Segment

Entitle Organizations For Isolation Segment
Entitle organizations for isolation segment

This endpoint entitles the specified organizations for the isolation segment. In the case where the specified isolation segment is the system-wide shared segment, and if an organization is not already entitled for any other isolation segment, then the shared isolation segment automatically gets assigned as the default for that organization.

Request
URI
POST
https://api.example.local/v3/isolation_segments/{guid}/relationships/organizations
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

List of organizations to entitle

RelationshipToMany of type(s) application/json
Required
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToMany of type(s) application/json
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/isolation_segments/{guid}/relationships/organizations